import './App.css';
import Container from 'react-bootstrap/Container';
import React, { useState, useEffect } from 'react'
import { Button } from 'react-bootstrap';
import Image from 'react-bootstrap/Image'
import Modal from 'react-bootstrap/Modal'
import 'bootstrap/dist/css/bootstrap.min.css';
import image1 from '../src/assets/image1.png';
import image2 from '../src/assets/image2.png';
import image3 from '../src/assets/image3.png';
import image4 from '../src/assets/image4.png';
import pdf1 from '../src/assets/pdf/Caso_de_Luto_Covid.pdf';
import capa from '../src/assets/capa.png';


function App() {
    const [show1, setShow1] = useState(false);

    const handleClose1 = () => setShow1(false);
    const handleShow1 = () => setShow1(true);

    const [show2, setShow2] = useState(false);

    const handleClose2 = () => setShow2(false);
    const handleShow2 = () => setShow2(true);

    const [show3, setShow3] = useState(false);

    const handleClose3 = () => setShow3(false);
    const handleShow3 = () => setShow3(true);

    return (
        <div className="App">
            <body style={{ backgroundColor: '#f8f8fb' }}>
                <Container >
                    <div class="row m-2">
                        <div class="col">
                            <p><br /></p>
                            <p style={{ textAlign: 'center' }}><Image src={capa} alt="capa" class fluid width="1000" height="380" /></p>
                        </div>
                    </div>
                    <br />
                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textIndent: '2rem', textAlign: 'justify' }}><b>Olá, aluna(o)!</b></p>

                            <br />

                            <p style={{ textAlign: 'justify' }}>A perda de pessoas queridas tem sido constantemente vivenciada durante a pandemia de covid-19. Em acréscimo, as medidas adotadas para conter o aumento do número de infectados, como restrições a viagens e distanciamento social, dificultam os
                                processos de despedida realizados entre pessoas na iminência da morte de seus familiares e do enfrentamento do luto.</p>
                            <br />

                            <p style={{ textAlign: 'justify' }}>O luto tem reflexos profundos sobre quem o vivencia. Assim, o suporte para lidar com a perda torna-se essencial.</p>
                            <br />

                            <p style={{ textAlign: 'justify' }}>Neste recurso multimídia, você irá compreender o processo de luto frente à pandemia de covid-19.</p>
                            <br />

                            <p style={{ textIndent: '2rem', textAlign: 'justify' }}><b>Bons estudos!</b></p>
                            <p style={{ textAlign: 'justify' }}><b><br /></b></p>

                        </div>
                    </div>

                    <div class="row m-2">
                        <div class="col" style={{ background: '#0f70d4', borderRadius: '7px' }}>
                            <h1 class="py-3 text-white" style={{ textAlign: 'center', fontSize: '3vh' }}>Lidando com o luto na pandemia de covid-19</h1>
                        </div>
                    </div>

                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textAlign: 'justify' }}><br /></p>
                            <p style={{ textAlign: 'justify' }}>Luto corresponde a um processo natural e comum de sofrimento devido à perda ou às perdas, sendo um processo inescapável à condição humana. Durante períodos de crises ou emergências humanitárias, diversas pessoas serão acometidas por luto em
                                proporções diversas, acarretando um grande sofrimento psicológico.</p>
                            <br />
                            <p style={{ textAlign: 'justify' }}>Reações de luto são esperadas e desejáveis em momentos de perda, pois auxiliam na  <Button style={{ backgroundColor: "#f8f8fb", color: 'blue', border: 'none' }} onClick={handleShow1}>
                                elaboração
                            </Button>, <Button style={{ backgroundColor: "#f8f8fb", color: 'blue', border: 'none' }} onClick={handleShow2}>
                                    aceitação
                                </Button> e
                                <Button style={{ backgroundColor: "#f8f8fb", color: 'blue', border: 'none' }} onClick={handleShow3}>
                                    superação
                                </Button>.</p>
                            <p style={{ textAlign: 'justify' }}><br /></p>
                        </div>
                    </div>

                    <Modal show={show1} onHide={handleClose1}>
                        <Modal.Header closeButton>
                            <Modal.Title>Elaboração</Modal.Title>
                        </Modal.Header>
                        <Modal.Body>Compreensão sobre a perda ocorrida e as consequências e mudanças implicadas. </Modal.Body>
                    </Modal>

                    <Modal show={show2} onHide={handleClose2}>
                        <Modal.Header closeButton>
                            <Modal.Title>Aceitação</Modal.Title>
                        </Modal.Header>
                        <Modal.Body>Realização de que o ocorrido é um fato irreversível e permanente.  </Modal.Body>
                    </Modal>

                    <Modal show={show3} onHide={handleClose3}>
                        <Modal.Header closeButton>
                            <Modal.Title>Superação</Modal.Title>
                        </Modal.Header>
                        <Modal.Body>Ser capaz de seguir em frente com a própria vida apesar da perda e do sofrimento causado por ela.</Modal.Body>
                    </Modal>



                    <div class="row m-2">
                        <div class="col py-2" style={{ backgroundColor: '#156cbc', borderRadius: '7px' }}>
                            <p class="text-white" style={{ textAlign: 'justify' }}>É muito importante distinguir o sofrimento normal de alguém que sofreu perdas significativas e está em processo de luto daqueles sofrimentos associados com uma doença mental (depressão, por exemplo) para que o sentimento de perda seja “patologizado”
                                e considerado como sintoma de uma doença.</p>
                        </div>
                    </div>

                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textAlign: 'justify' }}><br /></p>
                            <p style={{ textAlign: 'justify' }}>Apesar de ser uma reação normal, durante períodos de crises, o sofrimento decorrente do luto pode se tornar excessivo e evoluir para um adoecimento mental. Para evitar que a tristeza por uma perda se torne uma doença mental, a pessoa enlutada
                                necessita de <b>suporte psicológico</b> adequado para que possa passar por essa experiência sem adoecimentos.</p>
                        </div>
                    </div>
                    <br />

                    <div class="row m-2 align-items-center">
                        <div class="col-sm-8">
                            <p style={{ textAlign: 'justify' }}>Durante a pandemia da covid-19, casos de hospitalizações aumentaram exponencialmente por todo o mundo e diversas famílias passaram a lidar com a realidade da separação de seus entes queridos, isolados em tratamento hospitalar para minimizar
                                a disseminação do vírus e o risco de maiores contaminações.</p>
                        </div>
                        <div class="col-sm-4">
                            <p style={{ textAlign: 'center' }}><Image src={image1} alt="image1" class fluid width="400" height="282" /></p>
                        </div>

                    </div>
                    <br />
                    <div class="row m-2">
                        <div class="col" style={{ border: '2px solid #156cbc', borderRadius: '7px' }}>
                            <p class="py-2" style={{ textAlign: 'justify' }}>Por si só, essa separação pode resultar em luto antecipatório, pois a atual realidade da pandemia também implica na realização de que o ente querido isolado dentro de um hospital está sofrendo em momentos que, potencialmente, podem ser os
                                últimos de sua vida<sup style={{ fontSize: '1.2vh' }}>1</sup>.</p>
                        </div>
                    </div>

                    <br />
                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textAlign: 'justify' }}>Outro agravante da pandemia sobre o processo de luto corresponde ao fato de que muitas pessoas enlutadas, devido à necessidade de isolamento e distanciamento social, não tiveram a oportunidade de adequadamente despedirem-se de seus entes queridos
                                e/ou receberem amplo suporte familiar ou mesmo realizar funerais e outras cerimônias tradicionais ou religiosas, e assim melhor processarem sua perda. Isso representa um risco de luto complicado, em que a pessoa poderá apresentar sintomas
                                disfuncionais e prolongados de luto que podem durar meses ou anos, podendo esses sintomas serem muito similares àqueles de transtornos de ansiedade e depressão, mas causados unicamente pela perda.</p>
                        </div>
                    </div>

                    <br />
                    <div class="row m-2">
                        <div class="col" style={{ borderTop: '2px solid #156cbc', borderBottom: '2px solid #156cbc' }}>
                            <p class=" py-3" style={{ textAlign: 'justify' }}>Outros sintomas de luto complicado tendem a incluir anseio pelo que/quem foi perdido, solidão, ruminação, choque, negação, raiva e desconfiança<sup style={{ fontSize: '1.2vh' }}>2</sup>.</p>
                        </div>
                    </div>

                    <br />
                    <div class="row m-2 align-items-center">
                        <div class="col-sm-4">
                            <p style={{ textAlign: 'center' }}><Image src={image2} alt="image2" class fluid width="400" height="335" /></p>
                        </div>
                        <div class="col-sm-8">
                            <p style={{ textAlign: 'justify' }}>Por mais que as atuais medidas de isolamento social possam dificultar a interação social de muitos, é importante que as pessoas enlutadas possam contar com o suporte social de familiares e amigos durante o enfrentamento do luto. Suporte social
                                é fundamental e indispensável para ajudar na superação do luto.</p>
                        </div>

                    </div>
                    <br />

                    <div class="row m-2 align-items-center">

                        <div class="col-sm-8">
                            <p style={{ textAlign: 'justify' }}>Em situações em que o contato social não possa ocorrer, o uso de redes sociais e equipamentos de comunicação são de vital importância para garantir que a pessoa enlutada não se sinta sozinha e isolada de seus grupos sociais. Suporte psicológico,
                                psicossocial, religioso etc., de forma remota representam importantes alternativas para garantir que pessoas enlutadas sejam amparadas, conforme a sua necessidade.</p>
                        </div>
                        <div class="col-sm-4">
                            <p style={{ textAlign: 'center' }}><Image src={image3} alt="image3" class fluid width="400" height="331" /></p>
                        </div>

                    </div>
                    <br />
                    <div class="row m-2 align-items-center">
                        <div class="col-sm-4">
                            <p style={{ textAlign: 'center' }}><Image src={image4} alt="image4" class fluid width="369" height="400" /></p>
                        </div>
                        <div class="col-sm-8">
                            <p style={{ textAlign: 'justify' }}>É importante saber, não apenas para aqueles que estão enfrentando luto, mas também para aqueles que estão ajudando outros nesse processo, que mesmo em momentos de grandes crises humanitárias, mesmo durante desastres e guerras, mesmo nos piores
                                momentos já enfrentados pela humanidade, a sobrevivência sempre se deu por meio do coletivo.</p>
                        </div>

                    </div>
                    <br />
                    <div class="row m-2">
                        <div class="col" style={{ borderTop: '2px solid #156cbc', borderBottom: '2px solid #156cbc' }}>
                            <p class=" py-3" style={{ textAlign: 'justify' }}>A distância que hoje nos separa irá acabar e em breve estaremos juntos mais uma vez. O mundo de amanhã pode não ser o mesmo mundo de ontem e nem trará consigo as mesmas pessoas. Muitas crianças crescerão sem um pai ou uma mãe, sem um irmão
                                ou irmã, sem uma avó ou um avô. Muitas famílias encontram-se incompletas e a perda ainda machuca. Muitos entes queridos nos deixaram, mas nós ainda estamos aqui.</p>
                        </div>
                    </div>

                    <br />
                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textAlign: 'justify' }}>Por mais difícil que seja enfrentar a perda de quem amamos, é necessário ter em mente que não é necessário lidar com essa perda sozinho. É importante pedir ajuda a parentes, amigos, vizinhos, líderes religiosos, profissionais da saúde ou qualquer
                                outra pessoa de confiança. Ninguém precisa sofrer sozinho e nenhum sofrimento é permanente.</p>
                        </div>
                    </div>

                    <br />

                    <div class="row m-2">
                        <div class="col">
                            <p style={{ textAlign: 'justify' }}><b>O suporte por parte de profissionais da saúde pode ser necessário durante o processo de enfrentamento ao luto. Clique <a href={pdf1} target="_blank"> aqui</a> para conhecer o caso de Carla, uma adolescente que vivencia o luto pela perda do pai devido à covid-19.</b></p>
                        </div>
                    </div>

                    <br />



                    <div class="row m-2">
                        <div class="col">
                            <h3 style={{ color: '#2f8ac1', textAlign: 'center' }}><br /></h3>
                            <h2 style={{ color: '#2f8ac1', textAlign: 'center' }}>Referências</h2>
                            <p><br /></p>
                            <p style={{ textAlign: 'justify' }}>1. ZHAI, Yusen; DU, Xue. Loss and grief amidst covid-19: A path to adaptation and resilience. <b>Brain, behavior, and immunity</b>, 2020, 87: 80-81.</p>

                            <p style={{ textAlign: 'justify' }}>2. BERTUCCIO, Rebecca F.; RUNION, Megan C. Considering grief in mental health outcomes of COVID-19. <b>Psychological Trauma: Theory, Research, Practice, and Policy</b>, 2020, 12.S1: S87.</p>
                        </div>
                    </div>

                    <br />

                    <div class="row m-2">
                        <div class="col">
                            <br />
                            <h2 style={{ color: '#2f8ac1', textAlign: 'center' }}>Créditos</h2>

                        </div>
                    </div>
                    <div class="row m-2 justify-content-center">
                        <div class="col-sm-6">
                            <h4>Coordenação do Projeto</h4>
                            <p>Ana Emilia Figueiredo de Oliveira</p><br />

                            <h4>Coordenação Geral da DTED/UNA-SUS/UFMA</h4>
                            <p>Ana Emilia Figueiredo de Oliveira</p><br />

                            <h4>Gestão de projetos da UNA-SUS/UFMA</h4>
                            <p>João Pedro de Castro e Lima Baesse</p><br />

                            <h4>Coordenação de Produção Pedagógica da UNA-SUS/UFMA</h4>
                            <p>Paola Trindade Garcia</p><br />

                            <h4>Coordenação de Ofertas Educacionais da UNA-SUS/UFMA</h4>
                            <p>Elza Bernardes Monier</p><br />

                            <h4>Coordenação de Tecnologia da Informação da UNA-SUS/UFMA</h4>
                            <p>Mário Antônio Meireles Teixeira</p><br />

                            <h4>Coordenação de Comunicação da UNASUS/UFMA</h4>
                            <p>José Henrique Coutinho Pinheiro</p><br />

                            <h4>Professor-autor</h4>
                            <p>Samuel Araújo Leite</p><br />

                            <h4>Validadores técnicos Ministério da Saúde</h4>
                            <p><b>(CGIED/DEGES/SGTES/MS)
                            </b><br />Bethânia Ramos Meireles<br /></p>
                            <p> Carolina Vaccari Simaan</p>
                            <p>Rosany Ferreira Rios Fonseca</p>
                            <p><br /></p>
                            <p><b>
                                (CGSPD/DAET/SAES/MS)
                            </b><br /> Angelo Roberto Gonçalves
                                <br /> Nathalie Alves Agripino
                            </p>
                            <p><br /></p>
                            <p><b>
                                (COSMU/CGCIVI/DAPES/SAPS/MS)
                            </b><br /> Anelise Trigo Cid
                            </p>


                        </div>
                        <div class="col-sm-6">


                            <p><b>
                                (CGSM: Alcool e outras drogas)
                            </b><br />Daniela Palma Araújo
                                <br />Rafael Bernardon Ribeiro
                            </p>
                            <p><br /></p>

                            <p><b>
                                (CGSPD/DAET/SAES/MS)
                            </b><br /> Denise Maria Rodrigues Costa
                                <br /> Diogo do Vale de Aguiar
                                <br /> Cicero Kaique Pereira Silva
                            </p>
                            <p><br /></p>


                            <p><b>
                                (CGAHD/DAHU/SAES/MS)
                            </b><br />Mariana Borges Dias</p>
                            <p>&nbsp;

                                <br /><b>(COEvI/DECIT/MS)&nbsp;</b></p>
                            <p>Virginia Kagure Wachira</p>
                            <p>&nbsp;

                                <br /><b>Hospital das Clínicas da Faculdade de Medicina da USP
                                </b><br /> Daniel Ciampi Araújo de Andrade
                            </p>
                            <p><br /></p>
                            <h4>Validadora pedagógica</h4>
                            <p>Lívia Anniele Sousa Lisboa</p><br />

                            <h4>Revisora textual</h4>
                            <p>Talita Guimarães Santos Sousa</p><br />

                            <h4>Designer instrucional</h4>
                            <p>Izabel Cristina Vieira de Oliveira</p><br />

                            <h4>Designer gráfico</h4>
                            <p>Jackeline Mendes Pereira</p><br />

                            <h4>Tecnologia da Informação</h4>
                            <p>Jefferson de Almeida Paixão</p>
                            <p>Rayanne Maria Cunha Silveira</p><br />
                        </div>
                    </div>

                    <div class="row m-2">
                        <div class="col" style={{ border: '1px solid #525050', padding: '1rem' }}>
                            <p><b>Como citar este material:</b> LEITE, Samuel Araújo. Lidando com o luto. In: UNIVERSIDADE ABERTA DO SUS. UNIVERSIDADE FEDERAL DO MARANHÃO. Reabilitação do paciente com condições pós-covid. <b>Reabilitação das funções mentais, cognitivas e psicológicas após quadro de covid-19</b>.
                                São Luís: UNA-SUS; UFMA, 2021.</p>
                        </div>
                    </div>

                    <div class="row m-2">
                        <div class="col" style={{ border: '1px solid #525050', padding: '1rem' }}>
                            <p> © 2021. Ministério da Saúde. Sistema Universidade Aberta do SUS. Fundação Oswaldo Cruz &amp; Universidade Federal do Maranhão.</p>
                            <p>É permitida a reprodução, a disseminação e a utilização desta obra, em parte ou em sua totalidade, nos termos da licença para usuário final do Acervo de Recursos Educacionais em Saúde (ARES). Deve ser citada a fonte e é vedada sua utilização
                                comercial, sem a autorização expressa dos seus autores, conforme Lei de Direitos Autorais - LDA (Lei nº 9.610, de 19 de fevereiro de 1998).
                            </p>
                        </div>
                    </div>

                </Container>
            </body>
        </div>
    );
}

export default App;
